import { Event, Options, Response, RetryClass } from '@amplitude/types';
/**
 * A retry handler made specifically to handle a strategy where
 * the server network connection is not always available. (e.g. executing node code on a client device).
 * Instead of retrying events on a loop, this will save untried events
 */
export declare class OfflineRetryHandler implements RetryClass {
    protected readonly _apiKey: string;
    protected readonly _options: Options;
    private readonly _transport;
    private _eventsToRetry;
    private readonly _requestQueue;
    constructor(apiKey: string, options: Partial<Options>);
    /**
     * @inheritDoc
     */
    sendEventsWithRetry(events: readonly Event[]): Promise<Response>;
    private _getPayload;
    private _onSendSuccess;
    private _onSendError;
}
//# sourceMappingURL=offlineRetry.d.ts.map